#include <windows.h>
#include <gdiplus.h>
#include <stdio.h>
#include <wchar.h>

#pragma comment(lib, "gdiplus.lib")

int main(int argc, char** argv)
{
  if (argc > 1) {
    Gdiplus::GdiplusStartupInput gdiplusStartupInput;
    ULONG_PTR gdiplusToken;
    Gdiplus::GdiplusStartup(&gdiplusToken, &gdiplusStartupInput, nullptr);

    for( int i=1 ; i<argc ; i++ ){
      WCHAR name[100]={0};
      MultiByteToWideChar(CP_UTF8, 0, argv[i], strlen(argv[i]), name, LF_FACESIZE);
      Gdiplus::FontFamily f(name);
      int r = f.GetFamilyName(name, MAKELANGID(LANG_ENGLISH, SUBLANG_ENGLISH_US));
      if (r == 0) {
        char trname[100]={0};
        WideCharToMultiByte(CP_UTF8, 0, name, wcslen(name), trname, sizeof(trname), 0, 0);
        printf("%s\t%s\n",argv[i],trname);
      }else{
        printf("%s\t*Can_not_translate\n",argv[i]);
      }
    }
    return 0;
  }
  return 1;
}
